%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package %{nil} 

Name:		libqcow
Version:	20150105
Release:	1%{?dist}
Summary:	Library to access the QEMU Copy-On-Write (QCOW) image file format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
%if 0%{?centos} == 5
Patch1:		%{name}-%{version}-patch-001
%endif
URL:		http://code.google.com/p/libqcow/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:        openssl       zlib
BuildRequires:	 openssl-devel       zlib-devel

%description
libqcow is a library to access the QEMU Copy-On-Write (QCOW) image file format

%package devel
Summary:	Header files and libraries for developing applications for libqcow
Group:		Development/Libraries
Requires:	libqcow = %{version}-%{release} fuse-libs
BuildRequires:	fuse-devel

%description devel
Header files and libraries for developing applications for libqcow.

%package tools
Summary:	Several tools for reading QEMU Copy-On-Write (QCOW) image files
Group:		Applications/System
Requires:	libqcow = %{version}-%{release}  fuse-libs
BuildRequires:	fuse-devel

%description tools
Several tools for reading QEMU Copy-On-Write (QCOW) image files

%package python
Summary:	Python bindings for libqcow
Group:		System Environment/Libraries
Requires:	libqcow = %{version}-%{release} python
BuildRequires:	%(basename %{__python})-devel

%description python
Python bindings for libqcow

%prep
%setup -q
%if 0%{?centos} == 5
%patch1 -p1
%endif

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%if 0%{?rhel} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pyqcow/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libqcow.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/qcowinfo
%attr(755,root,root) %{_bindir}/qcowmount
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141229
	* updated dpkg files
	* updated dependencies
	* updated .gitignore

	20141226
	* changes for updated dependencies

	20141221
	* worked on Python 3 support
	* worked on tests

	20141205
	* worked on test scripts

	20141201
	* worked on multi-threading support
	* code clean up
	* worked on version 3 support

	20141129
	* code clean up

	20141112
	* code clean up

	20141104
	* worked on multi-threading support
	* removed deprecated functions:
	  - libqcow_file_read_random
	  - pyqcow file.read_random

	20141029
	* bug fix in Python-bindings

	20141027
	* changes for deployment

	20141021
	* changes for deployment

	20141001
	* worked on stand-alone libcstring support

	20140920
	* changes for project site move

	20140801
	* bug fix in Python-bindings

* Tue Jul 29 2014 Lawrence R. Rogers <lrr@cert.org> 20140729-1
* Release 20140729-1
20140729
	* updated dependencies

	20140625
	* code clean up

	20140330
	* code clean up

* Fri Mar 28 2014 Joachim Metz <joachim.metz@gmail.com> 20140328-1
- Auto-generated

